using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace FotbalPortal.Models
{
    public class Comment
    {
        public int id { get; set; }
        [Display(Name = "Autor")]
        public int author { get; set; }
        [Display(Name = "Zakázáno")]
        public bool disabled { get; set; }

        [Display(Name = "Text")]
        public string text { get; set; }
        [Display(Name = "Datum vytvoření")]
        public DateTime created { get; set; }

        [Display(Name = "Článek")]
        public int articleID { get; set; }
        public virtual Article article { get; set; }

        [Display(Name = "Reakce na")]
        public int? reactOnID { get; set; }
        public virtual Comment reactOn { get; set; }


    }
}